# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.SignUpRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :firstName,
    :lastName,
    :email,
    :password,
    :confirmedPassword,
    :source
  ]

  @type t :: %__MODULE__{
    :firstName => String.t | nil,
    :lastName => String.t | nil,
    :email => String.t | nil,
    :password => String.t | nil,
    :confirmedPassword => String.t | nil,
    :source => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.SignUpRequest do
  def decode(value, _options) do
    value
  end
end

